<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: phpinfo.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Modified: StoneAgate
| http://stoneagate.homeip.net/
| E-mail: stoneagat@rambler.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";

if (!checkrights("PI") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/phpinfo.php";

add_to_head ("
<style type=\"text/css\">
	/*<![CDATA[*/
		.p {text-align: left;}
		.e {background-color: #ccccff; font-weight: bold; color: #000000;}
		.h {background-color: #9999cc; font-weight: bold; color: #000000;}
		.v {background-color: #cccccc; color: #000000;}
		.vr {background-color: #cccccc; text-align: right; color: #000000;}
		hr {display: none;}
	/*]]>*/
</style>
");

opentable("<div align='center'>".$locale['001']."</div>");

echo "<table width='100%' align='center' border='0' cellspacing='5' cellpadding='0' summary='ServerInfo'>\n<tr>\n";
echo "<td align='right'><span class='usual'><strong>".$locale['002']."</strong>\n</span>\n</td>\n";
echo "<td>".gethostbyaddr($_SERVER['SERVER_ADDR'])."; <span class='usual'><strong> IP - </strong>\n</span>\n".$_SERVER["SERVER_ADDR"]."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='right'>\n<span class='usual'>\n<strong>".$locale['003']."</strong>\n</span>\n</td>\n";
echo "<td>\n".php_uname('s')." ".php_uname ('r')."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='right'>\n<span class='usual'>\n<strong>".$locale['006']."</strong>\n</span>\n</td>\n";
echo "<td>\n".$_SERVER["SERVER_SOFTWARE"]."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='right'>\n<span class='usual'>\n<strong>".$locale['017']."</strong>\n</span>\n</td>\n";
echo "<td>\nPHP-".phpversion()."; Zend-".zend_version()."; ".$locale['022']."-".GD_VERSION."; <span class='usual'>\n<strong>\n".$locale['023']." </strong>\n</span>\n".parsebytesize(disk_free_space("."))."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='right'>\n<span class='usual'>\n<strong>".$locale['004']."</strong>\n</span>\n</td>\n";
echo "<td>\n".strftime("%W, %j; %A, %d %B %Y")."; <span class='usual'>\n<strong>".$locale['005']."</strong>\n</span>\n ".strftime("%H:%M:%S, %Z")."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='right'>\n<span class='usual'>\n<strong>".$locale['014']."</strong>\n</span>\n</td>\n";
echo "<td>\n".$_SERVER["SERVER_NAME"]."; <span class='usual'>\n<strong> IP - </strong>\n</span>\n".$_SERVER["SERVER_ADDR"]."; <span class='usual'><strong>".$locale['021']." </strong>\n</span>\n".$_SERVER['HTTP_ACCEPT_LANGUAGE']."; </td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='right'>\n<span class='usual'>\n<strong>".$locale['018']."</strong>\n</span>\n</td>\n";
echo "<td>\n".$_SERVER["SERVER_ADMIN"]."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='right'>\n<span class='usual'>\n<strong>".$locale['020']."</strong>\n</span>\n</td>\n";
echo "<td>\nhttp://".$_SERVER["SERVER_NAME"]."/; <span class='usual'>\n<strong>".$locale['016']."</strong>\n</span>\n ".$settings['siteemail']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='right'>\n<span class='usual'>\n<strong>".$locale['015']."</strong>\n</span>\n</td>\n";
echo "<td>\n".$_SERVER["DOCUMENT_ROOT"]."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='right'>\n<span class='usual'>\n<strong>".$locale['009']."</strong>\n</span>\n</td>\n";
echo "<td>\n".$db_host."; <span class='usual'>\n<strong> IP - </strong>\n</span>\n".gethostbyname($db_host)."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='right'>\n<span class='usual'>\n<strong>".$locale['010']."</strong>\n</span>\n</td>\n";
echo "<td>\nMySQL-".mysql_get_server_info()."; <span class='usual'>\n<strong>".$locale['010b']."</strong>\n</span>\n ".mysql_get_client_info()."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='right'>\n<span class='usual'>\n<strong>".$locale['011']."</strong>\n</span>\n</td>\n";
echo "<td>\n".$db_name."; <span class='usual'>\n<strong>".$locale['012']."</strong>\n</span>\n ".$db_prefix."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center'colspan='2'>\n<br />\n<span class='usual'>\n<strong>".$locale['007']."</strong>\n</span>\n</td>\n";
echo "</tr>\n<tr>\n";
echo "<td colspan='2' align='center'>\n";

if(function_exists('ob_start')) {		
	ob_start();
	phpinfo();
	$phpinfo = ob_get_contents();
	ob_end_clean();
	$phpinfo = str_ireplace('border: 1px', '', $phpinfo);
	$phpinfo = str_ireplace('<table', '<table summary="phpinfo"', $phpinfo); // Для валидности добавляем summary
	preg_match('{<body>(.*)</body>}xsmi', $phpinfo, $regs);
	echo $regs[1];
}else{
	phpinfo();
}

echo"</td>\n</tr>\n</table>\n";

closetable();
require_once THEMES."templates/footer.php";

?>